+ Responder ao Tópico



  1. #1

    Padrão Erro ao compilar PHP

    Bom Dia!

    Estou tentando compilar o PHP4 para usar com Apache e Mysql. Após executar o comando

    ./configure --with-mysql=/usr/local/mysql --with-config-file=/usr/local/etc/php --with-apache=/etc/apache --enable-track-vars

    a seguinte mensagem de erro interrompe o processo:

    configure: error: Invalid Apache directory - unable to find httpd.h under /etc/apache

    No parametro --with-apache eu coloquei /etc/apache pois segunda a documentação "./configure --help" esse parametro indica o diretório base de instalação do apache, como o apache foi instalado via apt e todos arquivos de configuraçao dele estão dentro de /etc/apache não vi outra alternativa a nao ser indicar esse path.

    Executei um find em / e realmente o arquivo httpd.h não existe. O que vem a ser esse arquivo e por que não tenho ele instalado??


    Valeu!

  2. #2

    Padrão

    Tenta /usr/lib/apache2.

    Ab, Duca.



  3. #3
    Moderador Avatar de Bruno
    Ingresso
    Nov 2002
    Localização
    Guarapuava-PR
    Posts
    3.923
    Posts de Blog
    1

    Padrão

    se o apache for a versão 1.3

    /usr/include/apache/

  4. #4

    Padrão

    --with-apache

    deve conter a pasta onde existe a INSTALAÇÃO (SOURCE) do apache (ou as libs)...



  5. #5

    Padrão

    Existe mesmo a necessidade de compilação? Não existem pacotes disponíveis para a sua distribuição?

  6. #6

    Padrão

    Citação Postado originalmente por alexandrecorrea Ver Post
    --with-apache

    deve conter a pasta onde existe a INSTALAÇÃO (SOURCE) do apache (ou as libs)...
    Fala Alexandre!!

    E no meu caso que instalei o apache via apt-get..? Devo baixar o fonte, desempacotar e na hora de compilar o PHP apontar para o diretório do Apache desempacotado??

    O estranho é que ele reclama de um arquivo chamado httpd.h que está dentro do diretório /usr/include/apache-1.3, porém esse arquivo existe!

    Configuring SAPI modules
    checking for AOLserver support... no
    checking for Apache 1.x module support via DSO through APXS... no
    checking for Apache 1.x module support... no
    configure: error: Invalid Apache directory - unable to find httpd.h under /usr/include/apache-1.3

    Valeu pela força!



  7. #7

    Padrão

    Daí tu tem duas alternativas:

    1 - Puxar o source do Apache também e compilar o mesmo.

    2 - Puxar o pacote apache-dev, que contém os cabeçalhos para compilação de módulos externos.


    Abraços!

  8. #8

    Padrão

    Citação Postado originalmente por xstefanox Ver Post
    Daí tu tem duas alternativas:

    1 - Puxar o source do Apache também e compilar o mesmo.

    2 - Puxar o pacote apache-dev, que contém os cabeçalhos para compilação de módulos externos.


    Abraços!
    O pacote apache-dev já está instalado. E com relação a 1° opção seria realmente necessário ter que instalar o Apache via código fonte??

    Valeu



  9. #9

    Question

    Já tentou instalar o php via apt-get?

  10. #10

    Padrão

    tenta colocar --with-apache=/usr/include/apache-1.3

    deve funcionar !